package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.InitialSwitchPowerSupply;

import java.util.List;
import java.util.Map;

/**
 * 电源信息Service接口
 * 
 * @author gyt
 * @date 2025-09-22
 */
public interface IInitialSwitchPowerSupplyService 
{
    /**
     * 查询电源信息
     * 
     * @param id 电源信息主键
     * @return 电源信息
     */
    public InitialSwitchPowerSupply selectInitialSwitchPowerSupplyById(Long id);

    /**
     * 查询电源信息列表
     * 
     * @param initialSwitchPowerSupply 电源信息
     * @return 电源信息集合
     */
    public List<InitialSwitchPowerSupply> selectInitialSwitchPowerSupplyList(InitialSwitchPowerSupply initialSwitchPowerSupply);

    /**
     * 新增电源信息
     * 
     * @param initialSwitchPowerSupply 电源信息
     * @return 结果
     */
    public int insertInitialSwitchPowerSupply(InitialSwitchPowerSupply initialSwitchPowerSupply);

    /**
     * 修改电源信息
     * 
     * @param initialSwitchPowerSupply 电源信息
     * @return 结果
     */
    public int updateInitialSwitchPowerSupply(InitialSwitchPowerSupply initialSwitchPowerSupply);

    /**
     * 批量删除电源信息
     * 
     * @param ids 需要删除的电源信息主键集合
     * @return 结果
     */
    public int deleteInitialSwitchPowerSupplyByIds(Long[] ids);

    /**
     * 删除电源信息信息
     * 
     * @param id 电源信息主键
     * @return 结果
     */
    public int deleteInitialSwitchPowerSupplyById(Long id);

    /**
     * 批量新增电源信息
     * @param list
     * @return
     */
    public int insertBatchInitialSwitchPowerSupply(List<InitialSwitchPowerSupply> list);

    /**
     * 获取指定交换机的电源名称
     * @param initialSwitchPowerSupply
     * @return
     */
    List<Map> getAllPwrName(InitialSwitchPowerSupply initialSwitchPowerSupply);

    /**
     * 获取电源的基础信息
     * @param initialSwitchPowerSupply
     * @return
     */
    List<Map> getPwrMsg(InitialSwitchPowerSupply initialSwitchPowerSupply);

    /**
     * 获取电源电流
     * @param initialSwitchPowerSupply
     * @return
     */
    Map<String, Object> getPwrCurrent(InitialSwitchPowerSupply initialSwitchPowerSupply);

    /**
     * 获取电源电压
     * @param initialSwitchPowerSupply
     * @return
     */
    Map<String, Object> getPwrVoltage(InitialSwitchPowerSupply initialSwitchPowerSupply);
}
